FROM ubuntu:18.04

ENV TZ 'Asia/Bangkok'

RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

EXPOSE 80

WORKDIR /home

RUN apt-get update -y

RUN apt install -y software-properties-common

RUN add-apt-repository ppa:ondrej/php -y

RUN apt-get update -y

RUN apt install -y nginx

RUN apt install -y php7.4

RUN apt install -y php-dev

RUN apt install -y php7.4-curl

RUN apt install -y php-pear

RUN apt-get install -y sendmail

RUN apt-get install -y libpng-dev

RUN apt-get install -y libzip-dev

RUN apt-get install -y zlib1g-dev 

RUN apt-get install -y libicu-dev

RUN apt-get install -y libxml2-dev

RUN apt-get install -y --no-install-recommends unixodbc-dev

RUN apt-get install -y php7.4-gd

RUN apt-get install -y php7.4-zip

RUN apt-get install -y php7.4-mbstring

RUN apt-get install -y php7.4-mysql

RUN apt-get install -y php7.4-intl

RUN apt-get install -y php7.4-xmlrpc

RUN apt-get install -y php7.4-soap

RUN apt-get install -y php7.4-opcache

RUN apt-get install -y tdsodbc

RUN apt-get install -y unixodbc

RUN apt-get install -y libgssapi-krb5-2

RUN apt-get install -y php-odbc

RUN apt-get install -y libldap2-dev

RUN apt-get install -y curl

RUN apt-get install -y gnupg

RUN curl https://packages.microsoft.com/keys/microsoft.asc | apt-key add -

RUN curl https://packages.microsoft.com/config/debian/10/prod.list > /etc/apt/sources.list.d/mssql-release.list

RUN apt-get update -y

RUN apt-get install -y apt-utils

RUN ACCEPT_EULA=Y apt-get -y install msodbcsql17

RUN ACCEPT_EULA=Y apt-get -y install mssql-tools

RUN echo 'export PATH="$PATH:/opt/mssql-tools/bin"' >> ~/.bash_profile

RUN echo 'export PATH="$PATH:/opt/mssql-tools/bin"' >> ~/.bashrc

RUN apt-get install -y libgssapi-krb5-2

RUN apt-get install -y php-odbc

RUN apt-get install -y libldap2-dev

RUN apt-get install -y php-pear
# RUN rm -rf /var/lib/apt/lists/*
# RUN apt-get install -y apt-file

RUN pecl config-set php_ini /etc/php/7.4/fpm/php.ini

RUN pecl install sqlsrv

RUN pecl install pdo_sqlsrv

RUN printf "; priority=20\nextension=sqlsrv.so\n" > /etc/php/7.4/mods-available/sqlsrv.ini

RUN printf "; priority=30\nextension=pdo_sqlsrv.so\n" > /etc/php/7.4/mods-available/pdo_sqlsrv.ini

RUN phpenmod -v 7.4 sqlsrv pdo_sqlsrv

# RUN chown -R $USER:$USER /var/www/moodle

RUN apt install -y php7.4-fpm

COPY ./moodle /etc/nginx/sites-available/moodle

RUN unlink /etc/nginx/sites-enabled/default

RUN mkdir /var/www/moodle

# CMD ["apachectl", "-D", "FOREGROUND"]
# CMD /usr/sbin/apache2ctl -D FOREGROUND

COPY ./index.php /var/www/moodle

# CMD service apache2 start
# CMD apachectl -D FOREGROUND

RUN apt-get install -y libicu60

RUN apt-get install -y php7.4-xml

RUN apt-get install -y nano